Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPANPLUS::Module::Author::Fake

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPANPLUS::Module::Author::Fake

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - new( _id => DIGIT )

# NAME

CPANPLUS::Module::Author::Fake - dummy author object for CPANPLUS

# SYNOPSIS

        my $auth = CPANPLUS::Module::Author::Fake->new(                    author  => 'Foo Bar',                    email   => 'luser@foo.com',                    cpanid  => 'FOO',                    _id     => $cpan->id,                );

# DESCRIPTION

A class for creating fake author objects, for shortcut use internally by CPANPLUS.

Inherits from `CPANPLUS::Module::Author` .

# METHODS

## new( _id => DIGIT )

Creates a dummy author object. It can take the same options as `CPANPLUS::Module::Author->new` , but will fill in default ones if none are provided. Only the _id key is required.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - new( _id => DIGIT )